#include<stdio.h>
main(){
	int a,b,x,y;
	scanf("%d %d",&a,&b);
	scanf("%d %d",&x,&y);
	if(a==x && b==y)	printf("nijedan");
	else if(a>x && b>y)	printf("?");
	else if(a>x)	printf("prvi");
	else if(b>y)	printf("drugi");
	else	printf("sta bre");
}